Python学习笔记--在CentOS 6上升级Python至2.7版本-阿里云开发者社区

开发者社区> 开发与运维> 正文
登录阅读全文

Python学习笔记--在CentOS 6上升级Python至2.7版本

简介: 前言: CentOS 6.X上面安装的python默认版本为2.6.6,但是现在很多库都是要求python2.7,因此一个新系统上面要做的第一件事就是升级Python。


前言:

CentOS 6.X上面安装的python默认版本为2.6.6,但是现在很多库都是要求python2.7,因此一个新系统上面要做的第一件事就是升级Python。


0.安装依赖包

点击(此处)折叠或打开

  1. [root@localhost ~]# python --version
  2. Python 2.6.6
  3. [root@localhost ~]# yum -y update
  4. [root@localhost ~]# yum groupinstall "Development tools"
  5. [root@localhost ~]# yum install zlib-devel bzip2-devel openssl-devel ncurses-devel sqlite-devel readline-devel tk-devel

1.安装Python2.7

点击(此处)折叠或打开

  1. [root@localhost ~]# wget http://www.python.org/ftp/python/2.7.10/Python-2.7.10.tar.xz
  2. [root@localhost ~]# tar xf Python-2.7.10.tar.xz
  3. [root@localhost ~]# cd Python-2.7.10
  4. [root@localhost ~]# ./configure --prefix=/usr/local
  5.  &&  
  6.  
  7.  











  1.     
  2.  


 
 
 

  1. &&
  2. &
  3. &





版权声明:本文内容由阿里云实名注册用户自发贡献,版权归原作者所有,阿里云开发者社区不拥有其著作权,亦不承担相应法律责任。具体规则请查看《阿里云开发者社区用户服务协议》和《阿里云开发者社区知识产权保护指引》。如果您发现本社区中有涉嫌抄袭的内容,填写侵权投诉表单进行举报,一经查实,本社区将立刻删除涉嫌侵权内容。

分享:
开发与运维
使用钉钉扫一扫加入圈子
+ 订阅

集结各类场景实战经验,助你开发运维畅行无忧

其他文章